#include <bx.h>

int main (void)
{
  bx_window win;
  int k, margin= 10, nb_samples= 10;
  int sample_width= 30, sample_height= 60;
  int w= margin + (sample_width + margin)* nb_samples;
  int h= margin + sample_height + margin;
  bx_init ();
  win= bx_create_window ("bx_set_line_width", 10 , 10, w, h);
  for (k= 0; k < nb_samples; k++) {
    int x= margin + k*(sample_width + margin);
    int y= margin;
    bx_set_line_width (k);
    bx_draw_line (win, x, y, x+sample_width, y+sample_height);
  }
  bx_show_canvas (win, 0);
  bx_loop();
  return 0;
}
