
#include <bx.h>

int main (void)
{
  bx_window window;
  unsigned width= 500, height= 500;

  bx_init ();

  window= bx_create_window ("random arcs", 10, 10, width, height);
 
  srand (time (0));
  for (;;) {
    int x= rand() % width;
    int y= rand() % height;
    unsigned w= 1+rand() % (width -x);
    unsigned h= 1+rand() % (height-y);
    double start_angle = rand ()% 360;
    double length      = 1+rand ()% 360;
    int filled= rand() % 2;
    bx_set_rgb (rand ()%256, rand()%256, rand()%256);
    bx_set_line_width (rand ()%10);
    bx_draw_arc (window, x,y, w,h, start_angle, length, filled);
    bx_show_canvas (window, 100);
  }
  return 0;
}
