

#include "bx.h"


int main (void)
{
  bx_window window;
 
  unsigned w= 500, h= 500;
  int x= w/2, y= w/2, ray= 100;
  int k, alpha;
  

  bx_init ();

  window= bx_create_window ("rotating wheel", 100, 100, w, h);

  for (alpha= 0; /* forever */; alpha= (alpha + 5) % 360) {
    bx_clear_canvas (window, bx_pale_yellow ());
    bx_set_color (bx_dark_red ());
    bx_set_line_width (3);
    bx_draw_circle (window, x - ray, y - ray, 2*ray, 2*ray, 0);
    for (k= 0; k < 360; k+= 60) {
      double rads= (alpha+k) * M_PI / 180;
      bx_draw_line (window, x, y, 
                    x + ray * cos (rads),
                    y - ray * sin (rads));
                    
    }
    bx_draw_circle (window, x-10, y-10, 20, 20, 1);
    bx_show_canvas (window, 20);
  }

  bx_loop ();
  return 0;
}
