

#include "bx.h"

#define PATH "../RES/JUJU/APE/"

int main (void)
{
  bx_window window;
  bx_image look_down, look_up, look_right, look_upright, look_downright;
 
  unsigned w= 500, h= 500;
  int x= w/2, y= w/2;
 
  bx_init ();
  window= bx_create_window ("staring monkey", 100, 100, w, h);
  look_down     = bx_load_image (1, "APE/climb-fire-down-0.png");
  look_up       = bx_load_image (1, "APE/climb-fire-up-0.png");
  look_right    = bx_load_image (1, "APE/climb-fire-right-0.png");
  look_downright= bx_load_image (1, "APE/climb-fire-downright-0.png");
  look_upright  = bx_load_image (1, "APE/climb-fire-upright-0.png");
  for (;;) {
    bx_image image;
    bx_mouse mouse= bx_read_mouse (window);
    int xm= bx_mouse_x (mouse);
    int ym= bx_mouse_y (mouse);
    if (ym > y - 50 && ym < y) {
      image= look_right;
    } else if (ym > y - 50) {
      image= (fabs (xm - x) < 20) ? look_down : look_downright;
    } else {
      image= (fabs (xm - x) < 20) ? look_up : look_upright;
    }
    bx_flip_image (image, xm < x, 0);
  
    bx_clear_canvas (window, bx_black ());
  
    bx_set_color (bx_dark_green ());
    bx_set_line_width (3);
    bx_draw_bezier (window, 
                    x-15, y-100,
                    x+25, y- 50,
                    x-25, y+ 50, 
                    x+15, y+100);
 
    bx_draw_image (window,  image, 
                   x - bx_image_width  (image)/2, 
                   y - bx_image_height (image));

    bx_show_canvas (window, 10);
  }


  bx_loop ();
  return 0;
}
